Bug 511140 - Creating a PAN results in "Connection refused(111)"
Creating a PAN results in "Connection refused(111)"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez-pan (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 16:51 EDT by Adalbert Prokop
Modified: 2009-12-18 04:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:37:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hcidump from desktop/server (NAP) (1.33 KB, application/octet-stream)
2009-07-13 16:51 EDT, Adalbert Prokop
no flags Details
hcidump from laptop/client (PANU) (1.16 KB, application/octet-stream)
2009-07-13 16:52 EDT, Adalbert Prokop
no flags Details

  None (edit)
Description Adalbert Prokop 2009-07-13 16:51:57 EDT
Created attachment 351522 [details]
hcidump from desktop/server (NAP)

Description of problem:
I am unable to create a PAN between two Fedora 10 boxes. Pairing seems to be successfull, but pand reports Connect to <device> failed. Connection refused(111)

Version-Release number of selected component (if applicable):
bluez-4.30-2.fc10.i386

Steps to Reproduce:
1. On the server start "pand --listen --role NAP -n"
2. On the client start "pand -n --connect <device> --role PANU"
  
Actual results:
pand[4143]: Bluetooth PAN daemon version 4.30
pand[4143]: Connecting to <device>
pand[4143]: Connect to <device>. Connection refused(111)

Expected results:
A connection should be established.

Additional info:
Both devices are capable of PANU/NAP. Simple file transfer is also possible. Only PAN refuses to work. According to hcidump the connection is refused because of an unknown command. I'll attach hcidumps from the server and the laptop to this post.
Comment 1 Adalbert Prokop 2009-07-13 16:52:47 EDT
Created attachment 351523 [details]
hcidump from laptop/client (PANU)
Comment 2 Bug Zapper 2009-11-18 05:04:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:37:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.